> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# WorkOS

> Integrate your application with the WorkOS API

## 🚀 Quickstart

Connect to WorkOS with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *WorkOS*.

**2. Authorize WorkOS**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your API key. Later, you'll let your users do the same directly from your app.

**3. Call the WorkOS API**

Let's make your first request to the WorkOS API (list connections). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/connections?limit=1" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/connections',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>',
>     params: { limit: '1' }
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 WorkOS Integration Guides

Nango-maintained guides for common use cases.

* [How to obtain your WorkOS API key](https://nango.dev/docs/api-integrations/workos/connect)\
  Get your WorkOS API key to connect it to Nango

Official docs: [WorkOS API Reference](https://workos.com/docs/reference)

## 🧩 Pre-built syncs & tools for WorkOS

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `create-connection` | Create a WorkOS SSO connection. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-invitation` | Create a WorkOS user invitation. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-organization-domain` | Create a WorkOS organization domain. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-organization-membership` | Create a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-organization` | Create an organization in WorkOS. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-user` | Create a user in WorkOS User Management. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `deactivate-organization-membership` | Deactivate a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-connection` | Delete a WorkOS SSO connection. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-directory` | Delete a WorkOS directory. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-organization-domain` | Delete a WorkOS organization domain. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-organization-membership` | Delete a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-organization` | Permanently delete a WorkOS organization. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-user` | Permanently delete a WorkOS user. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-connection` | Get a WorkOS SSO connection. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-directory-group` | Get a WorkOS directory group. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-directory-user` | Get a WorkOS directory user. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-directory` | Get a WorkOS directory. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-invitation` | Get a WorkOS user invitation. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-organization-domain` | Get a WorkOS organization domain. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-organization-membership` | Get a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-organization` | Retrieve a WorkOS organization by ID. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-user` | Retrieve a WorkOS user by ID. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-connections` | List WorkOS SSO connections. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-directories` | List WorkOS directories. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-directory-groups` | List directory groups from WorkOS Directory Sync. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-directory-users` | List directory users from WorkOS Directory Sync. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-events` | List WorkOS events. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-invitations` | List WorkOS user invitations. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-organization-membership-groups` | List groups assigned to a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-organization-memberships` | List WorkOS organization memberships. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-organizations` | List organizations from WorkOS. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-users` | List users from WorkOS User Management. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `reactivate-organization-membership` | Reactivate a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `resend-invitation` | Resend a WorkOS user invitation. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `revoke-invitation` | Revoke a WorkOS user invitation. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-connection` | Update a WorkOS SSO connection. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-organization-membership` | Update roles for a WorkOS organization membership. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-organization` | Update a WorkOS organization. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-user` | Update a WorkOS user. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `verify-organization-domain` | Verify a WorkOS organization domain. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.